<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;
        }
        img {
            width: 300px;
        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Details Page</h1>
    <div class="nav-link">
        <a href="../search.php"><< Back to Search Page</a>
    </div>

    <div class="details">
        <?php
        // Database connection details
        $host = "webdev.iyaserver.com";
        $userid = "dent_guest";
        $userpw = "Acad276_Dev2Ex@m";
        $db = "dent_exam";

        $mysql = new mysqli($host, $userid, $userpw, $db);

        if ($mysql->connect_errno) {
            echo "Database connection error: " . $mysql->connect_error;
            exit();
        }

        // to check if any information is missing
        if (empty($_REQUEST['id'])) {
            exit();
        }

        $deviceID = $_REQUEST['id'];

        // Fetch device details based on the ID
        $sql = "SELECT * FROM devices WHERE id = $deviceID";
        $result = $mysql->query($sql);

        if ($result && $result->num_rows > 0) {
            $row = $result->fetch_assoc();
            ?>
            <table>
                <tr>
                    <td rowspan="5" class="img">
                        <?php
                        // to check if an image URL is available, if not, display the default image for the extra credit
                        if (!empty($row['img_url'])) {
                            echo "<img src='" . $row['img_url'] . "' class='img'>";
                        } else {
                            echo "<img src='default_device_image.jpg' class='img'>";
                        }
                        ?>
                    </td>
                    <td class="label">Name:</td>
                    <td class="data"><strong><em><?php echo $row['device_name']; ?></em></strong></td>
                </tr>
                <tr>
                    <td class="label">Price:</td>
                    <td><strong><?php echo $row['price']; ?></strong></td>
                </tr>
                <tr>
                    <td class="label">Manufacturer:</td>
                    <td><?php echo $row['manufacturer']; ?></td>
                </tr>
                <tr>
                    <td class="label">System:</td>
                    <td><?php echo $row['system']; ?></td>
                </tr>
                <tr>
                    <td class="label">Type:</td>
                    <td><?php echo $row['type']; ?></td>
                </tr>
            </table>
            <?php
        } else {
            echo "Device not found.";
        }

        $mysql->close();
        ?>
    </div>
</div>
</body>
</html>
