<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>
        .container {
            width:  600px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }

        .num-results {
            margin: 20px 10px;
        }
        table {
            margin: auto;
            margin-bottom: 20px;
            width:  80%;
            border-collapse: collapse;
        }

        th, td {
            border: 1px solid #900;
            border-collapse: collapse;
            padding:    10px;
            text-align: center;
        }

        img {
            width: 100px;
        }

        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Search Results</h1>
    <div class="nav-link">
        <a href="../search.php"><< Back to Search Page</a>
    </div>

    <?php
    $host = "webdev.iyaserver.com";
    $userid = "dent_guest";
    $userpw = "Acad276_Dev2Ex@m";
    $db = "dent_exam";

    $mysql = new mysqli($host, $userid, $userpw, $db);

    if ($mysql->connect_errno) {
        echo "Database connection error: " . $mysql->connect_error;
        exit();
    }

    function executeQuery($mysql, $sql, $errorMsg) {
        $result = $mysql->query($sql);
        if (!$result) {
            echo $errorMsg . ": " . $mysql->error;
            exit();
        }
        return $result;
    }

    if (!isset($_GET['device_name']) || !isset($_GET['manufacturer_id']) || !isset($_GET['system_id']) || !isset($_GET['type_id'])) {
        echo "Please provide all search criteria.";
    } else {
        $deviceName = $_GET['device_name'];
        $manufacturerId = $_GET['manufacturer_id'];
        $systemId = $_GET['system_id'];
        $typeId = $_GET['type_id'];

        $whereClause = " WHERE 1 ";

        if ($deviceName !== 'all') {
            $whereClause .= " AND device_name LIKE '%" . $deviceName . "%'";
        }
        if ($manufacturerId !== 'all') {
            $whereClause .= " AND manufacturer_id = " . $manufacturerId;
        }
        if ($systemId !== 'all') {
            $whereClause .= " AND system_id = " . $systemId;
        }
        if ($typeId !== 'all') {
            $whereClause .= " AND type_id = " . $typeId;
        }

        $sql = "SELECT devices.id, devices.device_name, devices.price, manufacturers.name AS manufacturer, systems.name AS system, types.name AS type 
                    FROM devices, manufacturers, systems, types
                    WHERE devices.manufacturer_id = manufacturers.id
                    AND devices.system_id = systems.id
                    AND devices.type_id = types.id
                    $whereClause";

        $results = executeQuery($mysql, $sql, "SQL error");

        $numResults = $results->num_rows;

        echo "<div class='num-results'>Your search returned <strong>{$numResults}</strong> results.</div>";

        echo "<table>";
        echo "<tr><th>Name</th><th>Price</th><th>Manufacturer</th><th>System</th><th>Type</th></tr>";

        while ($row = $results->fetch_assoc()) {
            echo "<tr>";
            echo "<td><a href='details.php?id={$row['id']}'>{$row['device_name']}</a></td>";
            echo "<td>{$row['price']}</td>";
            echo "<td>{$row['manufacturer']}</td>";
            echo "<td>{$row['system']}</td>";
            echo "<td>{$row['type']}</td>";
            echo "</tr>";
        }

        echo "</table>";
    }

    $mysql->close();
    ?>

</div>
</body>
</html>
